import { Component, OnInit } from '@angular/core';
import { TodoService } from '../todo.service';
import { Todo } from '../todo.model';

@Component({
  selector: 'app-todo-list',
  templateUrl: './todo-list.component.html',
  styleUrls: ['./todo-list.component.css']
})
export class TodoListComponent implements OnInit {

  todoList: Todo[] = this.todoService.todoList;

  constructor(
    private readonly todoService: TodoService
  ) { }

  ngOnInit(): void {
  }

  deleteTodo(todo: Todo): void {
    this.todoList = this.todoList.filter(it => it.id !== todo.id);
  }

  stopEditing(todo: Todo, content: string): void {
    if(todo.editing) {
      if (content.trim().length > 0) {
        todo.content = content;
      } else {
        this.todoList = this.todoList.filter(it => it.id !== todo.id);
      }
      todo.editing = false;
    }
  }

  cancelEditing(todo: Todo): void {
    todo.editing = false;
  }

}
